## tss2 1045

=== debian/changelog ===
tss2 (1045-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:55:05 +0000

tss2 (1045-1) unstable; urgency=low

  * Initial release (Closes: #861779)

 -- Hon Ching (Vicky) Lo <honclo@linux.vnet.ibm.com>  Wed, 26 Jul 2017 13:38:40 -0400
