=== debian/control ===
Source: tss2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hon Ching (Vicky) Lo <honclo@linux.vnet.ibm.com>
Build-Depends: debhelper (>= 9), libssl-dev
Standards-Version: 4.0.0
Homepage: http://sourceforge.net/projects/ibmtpm20tss/


Package: tss2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
Description: IBM's TCG Software Stack (TSS) for TPM 2.0 and related utilities
 TSS2 is a user space Trusted Computing Group's Software Stack (TSS) for
 TPM 2.0.  It implements the functionality equivalent to the TCG TSS
 working group's ESAPI, SAPI, and TCTI layers (and perhaps more) but with
 a hopefully far simpler interface.
 .
 It comes with about 80 "TPM tools" that can be used for rapid prototyping,
 education and debugging.


Package: libtss0
Section: libs
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development library for IBM's TSS 2.0
 The development library for IBM's TSS 2.0.  You will need this in order
 to build TSS 2.0 applications. In addition, it contains documentation
 for TSS 2.0.


Package: libtss-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}
Description: Development headers for IBM's TSS 2.0
 Development headers for IBM's TSS 2.0.  You will need this in order
 to build TSS 2.0 applications. In addition, it contains documentation
 for TSS 2.0.
